package com.its.api.its.global;

import com.its.api.its.model.entity.vms.TbVmsCtlr;
import com.its.api.its.repository.vms.TbVmsCtlrRepository;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

@Slf4j
@RequiredArgsConstructor
@Getter
@Component
public class VmsManager {

    private final TbVmsCtlrRepository repo;

    private static final ConcurrentHashMap<Long, TbVmsCtlr> facility = new ConcurrentHashMap<>();

    @PostConstruct
    void init() {
        load();
    }

    public void load() {

        List<TbVmsCtlr> objList = repo.findAll();
        objList.forEach(obj -> {
            facility.put(obj.getVmsCtlrNmbr(), obj);
        });
        log.info("=== {}", facility);
    }

    public static TbVmsCtlr get(Long id) {
        return facility.get(id);
    }
}
